/*
    Copyright 2007, 2008, 2009, 2010 Geyer Klaus

    This file is part of Cat'sEyE.

    Cat'sEyE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Cat'sEyE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cat'sEyE.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DRAGNDROP_H_
#define DRAGNDROP_H_


int prepareWidgetForDrag (GtkWidget *widget);
//int prepareWidgetForDrop (GtkWidget *widget, int enableNoteBookDest);
int prepareWidgetForDrop (GtkWidget *widget, int enableNoteBookDest, void (*functionStartNotification)(), void *UserData);

void DNDSignal_dragdatereceive_forSideObjectAndFileShelf (GtkWidget *widget, GdkDragContext *drag_context, gint x, gint y, GtkSelectionData *selection_data, guint info, guint time, gpointer user_data);
void DNDSignal_dragdatereceive_forCopyReMoveWidget (GtkWidget *widget, GdkDragContext *drag_context, gint x, gint y, GtkSelectionData *selection_data, guint info, guint time, void *user_data);


//int prepareWidgetForDragnDrop (GtkWidget *widget, int enableNoteBookDest);    //enables dragndrop for the widget and connects signals
//int prepareWidgetForNoteBookDrop (GtkWidget *widget);


#endif //DRAGNDROP_H_
/* from: http://library.gnome.org/devel/gtk/unstable/GtkNotebook.html
Note that 2 notebooks must share a common group identificator (see gtk_notebook_set_group_id()) to allow automatic tabs interchange between them.

If you want a widget to interact with a notebook through DnD (i.e.: accept dragged tabs from it) it must be set as a drop destination and accept the target "GTK_NOTEBOOK_TAB". The notebook will fill the selection with a GtkWidget** pointing to the child widget that corresponds to the dropped tab.
 static void
 on_drop_zone_drag_data_received (GtkWidget        *widget,
                                  GdkDragContext   *context,
                                  gint              x,
                                  gint              y,
                                  GtkSelectionData *selection_data,
                                  guint             info,
                                  guint             time,
                                  gpointer          user_data)
 {
   GtkWidget *notebook;
   GtkWidget **child;

   notebook = gtk_drag_get_source_widget (context);
   child = (void*) selection_data->data;

   process_widget (*child);
   gtk_container_remove (GTK_CONTAINER (notebook), *child);
 }
 */



