/*
    Copyright 2007, 2008, 2009, 2010 Geyer Klaus

    This file is part of Cat'sEyE.

    Cat'sEyE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Cat'sEyE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cat'sEyE.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef GLOBALDEFINITIONS_H_
#define GLOBALDEFINITIONS_H_

#define INTERNALBUILDNUMBER	2216		//A Number which counts the builds I worked with, just for me to now which version I exactly run


#define MYNAME	"Cat'sEyE 4.2"
#define VERSION "V4.2.0.0"
#define MYNAMESHORT "CEE"
#define ICONNAMEWITHOUTSIZE ".catseye/catseye_"
#define SPASHIMAGENAME ".catseye/CatsEyE_Splash.png"

#define SIDE_LEFT  0
#define	SIDE_RIGHT 1
#define SIDE_BOTH  2
#define SIDE_FILESHELF 3

#define MAXCHARSINNOTEBOOKLABEL 25
#define MAXCHARSOFERROROFUSERCOMMAND 750    //used in callItemsToSystem
#define MAXENTRYBOX 256 //why is this 256? it is used for the MyInputWidget(s) and the PathEntryBoxes we will wait till we hit this border.

#ifdef NO_GIO
#define G_IO_ERROR_CANCELLED 1
#endif


//const gpointer GROUP_VIEW = "GROUP_VIEW";  //used with gtk_notebook_set_group
#define GROUP_VIEWNOTEBOOK GINT_TO_POINTER (0x1)
//#define GROUP_FSNOTEBOOK GINT_TO_POINTER (0x2)

enum{	//for the source-member in AllInformationAllUseStruct
	SOURCE_SIDEOBJECT = 0,
	SOURCE_FILESHELF
};


#endif	//GLOBALDEFINITIONS_H_
