/*
    Copyright 2007, 2008, 2009, 2010 Geyer Klaus

    This file is part of Cat'sEyE.

    Cat'sEyE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Cat'sEyE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cat'sEyE.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MYTRACE_H_
#define MYTRACE_H_

#ifdef ITTRACE
#define TRACEIT(l,a) if (l<=ITTRACE) printf("%02d:\t%s\n",l,a)
#else
#define TRACEIT(l,a) ;
#endif


#ifdef THREADDEBUG
void myWrap_gdk_threads_enter(char *cpSource);
void myWrap_gdk_threads_leave(char *cpSource);
#else
#define myWrap_gdk_threads_enter(a) gdk_threads_enter()
#define myWrap_gdk_threads_leave(a)	gdk_threads_leave()
#endif

#endif //MYTRACE_H_
