/*
    Copyright 2007, 2008, 2009, 2010 Geyer Klaus

    This file is part of Cat'sEyE.

    Cat'sEyE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Cat'sEyE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Cat'sEyE.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef THREADS_H_
#define THREADS_H_

int callItemsToSystemWrap(GString *usercommand, GString *FileList, GString *FileListWithPath, GString *WorkPath, GString *OtherSidePath, struct CopyReMoveList *list, gboolean bThreaded);
int ProcessItemsViaListWrap(struct CopyReMoveList *FirstItem, int process);
void calcDirectorySizeInView_wrap(struct AllInformationAllUseStruct *stru);
//gboolean oneMouseButtonPressedInLittleWindow(GtkWidget *treeview, GdkEventButton *event, gpointer data);
gboolean ListWidget_DeleteEvent (GtkWidget *widget, GdkEvent  *event, struct ListWidgetCommunicationStruct *commStru);
void ListWidget_CancelButton(GtkButton *button, gpointer data);
void ListWidget_CloseButton(GtkButton *button, struct ListWidgetCommunicationStruct *commStru);
gboolean FreeMemoryAndDeleteWidgetFunction (struct ListWidgetCommunicationStruct *commStru);
void calcDirectorySizeInView_closeProcess (int *iRecursiveSizeCalculation, GThread **threadToJoin, gboolean *bpUpdateFlag_F6, int *ipPreventFromUpdating, gboolean bAbortThread);
void copyReMoveWidget_updateItemCounterColumn(struct CopyReMoveList *theList);
void CopyReSizeWidget_dragleave_signal (GtkWidget *widget, GdkDragContext *drag_context, guint time, struct ListWidgetCommunicationStruct *CommStru);
gboolean CopyReSizeWidget_dragmotion_signal (GtkWidget *widget, GdkDragContext *drag_context, gint x, gint y, guint time, struct ListWidgetCommunicationStruct *CommStru);
void ListWidget_continueButton(GtkButton *button, struct ListWidgetCommunicationStruct *commStru);
void ListWidget_pauseButton(GtkButton *button, struct ListWidgetCommunicationStruct *commStru);
gboolean CopyReSizeWidget_oneKeyPressedInView(GtkWidget *widget, GdkEventKey *event, struct ListWidgetCommunicationStruct *CommStru);
#endif //THREADS_H_
